Get item
One item with all extracted fields, publishing state and note.
GET https://cotlet.dev/api/v1/dext/items/{item_id}
read
Returns the fields of the Item details page: supplier, date, document reference, category, description, currency, total, tax and net amount, paid state, payment method and publish destination. Due date is returned for invoices only. Publishing errors are included when a publish failed.
Parameters
| Name | Type | Description |
|---|---|---|
| item_id string required | string | Item ID from list_items. |
Request
curl https://cotlet.dev/api/v1/dext/items/item_8c41d2 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("dext", "get_item", {"item_id":"item_8c41d2"}) const result = await cotlet.call('dext', 'get_item', {"item_id":"item_8c41d2"}); cotlet call dext get_item --data '{"item_id":"item_8c41d2"}' Example response
{
"item_id": "it_7f3a10",
"inbox": "costs",
"status": "to_review",
"supplier": "Staples Inc",
"date": "2026-10-09",
"document_reference": "INV-30211",
"category": null,
"description": "Printer paper and toner",
"currency": "USD",
"total_amount": 84.5,
"tax_amount": 14.08,
"net_amount": 70.42,
"paid": true,
"payment_method": "Card",
"publish_to": "Xero",
"published": false,
"note": null
}